speedtest-cli(1)

NAME
speedtest-cli - Command line interface for testing internet bandwidth using speedtest.net

SYNOPSIS
speedtest-cli [OPTION...]

DESCRIPTION
Speedtest.net is a web service for testing your broadband connection by downloading a file from a nearby speedtest.net server on the web. This tool allows you to access the service from the command line.

Speedtest mini is a version of the Speedtest.net server that you can host locally.

OPTIONS
Usage: speedtest-cli [OPTION...]

Help Options

-h, --help
    Displays usage for the tool.

Options

--no-download
    Do not perform download test

--no-upload
    Do not perform upload test

--single
    Only use a single connection instead of multiple. This simulates a typical file transfer.

--bytes
    Display values in bytes instead of bits. Does not affect the image generated by --share, nor output from --json or --csv

--share
    Generate and provide a URL to the speedtest.net share results image, not displayed with --csv

--simple
    Suppress verbose output, only show basic information

--csv
    Suppress verbose output, only show basic information in CSV format. Speeds listed in bit/s and not affected by --bytes

--csv-delimiter CSV_DELIMITER
    Single character delimiter to use in CSV output. Default ","

--csv-header
    Print CSV headers

--json
    Suppress verbose output, only show basic information in JSON format. Speeds listed in bit/s and not affected by --bytes

--list
    Display a list of speedtest.net servers sorted by distance

--server SERVER
    Specify a server ID to test against. Can be supplied multiple times

--exclude EXCLUDE
    Exclude a server from selection. Can be supplied multiple times

--mini MINI
    URL of the Speedtest Mini server

--source SOURCE
    Source IP address to bind to

--timeout TIMEOUT
    HTTP timeout in seconds. Default 10

--secure
    Use HTTPS instead of HTTP when communicating with speedtest.net operated servers

--no-pre-allocate
    Do not pre allocate upload data. Pre allocation is enabled by default to improve upload performance. To support systems with insufficient memory, use this option to avoid a MemoryError

--version
    Show the version number and exit

EXAMPLES

Automatically find closest server and start testing
    speedtest-cli

Specify testing against server 1491
    speedtest-cli --server 1491

Testing against Speedtest Mini
    speedtest-cli --mini 172.18.66.1

REPORTING BUGS
Please file issues on the Github bug tracker: https://github.com/sivel/speedtest-cli

AUTHORS
This manual page was written by Jonathan Carter <jonathan@ubuntu.com> Speedtest-cli was written by Matt Martz <matt@sivel.net>